.TH "cluquorumd" "8" "May 2003" "" "Red Hat Cluster Manager"
.SH "NAME"
cluquorumd \- Cluster Quorum Daemon
.SH "DESCRIPTION"
.PP 
.B Cluquorumd
is responsible for making a decision as to whether or not a cluster member
is participating within the cluster quorum (majority) and assuring that all
members of the majority have the same view of the cluster state.
.SH "HOW IT WORKS"
.PP
The quorum daemon first attempts to spawn the membership daemon, clumembd(8).
It then registers for events from the membership daemon and waits for input
from it.
.LP
When an event is received from the membership daemon, the quorum daemon 
determines first if it is the coordinator (similar to the membership daemon;
the quorum daemon coordinator is the highest-numbered member).  If it is not
the coordinator, then it simply ignores the message.  Otherwise, it uses
the information from the membership daemon to determine which cluster members
have been marked as
.B online
and which cluster members have been marked as
.B offline.
It also attempts to determine a new view of quorum (as noted below in
the "DETERMINING MAJORITY" section).  After gathering all of the requisite
data, it proposes it to all other online members for voting.  A member casts
an affirmative vote if the view is newer than the that member's current view.
If all members cast an affirmative vote, the proposed view is
.B committed.
.LP
When a new view is committed, the lowest-numbered member handles fencing
off all members which have been marked
.B offline
via a mechanism called STONITH (Shoot The Other Node In The Head).  Currently,
the only fencing mechanisms supported by Red Hat Cluster Manager are remote
power switches, so fencing a cluster member involves power cycling it.  Other
fencing mechanisms may include persistent SCSI reservations and fibre channel
zoning.
.SH "DETERMINING QUORUM STATUS"
In order for a member to decide it is in the quorum (or "has quorum"), one of
the following sets of rules must be true:
.LP
.B *
It is participating in the membership partition which comprises a majority of
configured cluster members.  In a 3-member cluster, this means two members.
In a 16-member cluster, this means 9 members.
.LP
.B *
It is in 2- or 4-member cluster which has a Tiebreaker IP address
configured.  It is participating in a membership partition comprising exactly
half of the configured cluster members and it has the ability to ping the
tiebreaker IP address.  However, in order for this to occur, the members must
previously have been in the majority partition of physical members.  For
instance a single member in a 2-member cluster will not form a quorum alone
without explicit administrator intervention via the
.B cluforce(8)
command.
.LP
.B *
It is in a two member cluster which does not have a Tiebreaker IP address
configured.  After a cluster outage (or booting the cluster for the first
time), both members must be brought online.  After this, quorum is determined
by a member's ability to reach the shared raw partitions (which otherwise
are only used to store persistent lock information, the cluster configuration,
and the state of user services).  In this case, the members can operate after
a loss of network connectivity, but service relocation, starting, and
stopping will not work.
.SH "SEE ALSO"
clumembd(8), clurmtabd(8), clusvcmgrd(8), clulockd(8), cluforce(8)

You can find more documentation for cluster installation and administration in 
the 
.B The Red Hat Cluster Manager Installation and Administration Guide 
located on the documentation CD\-ROM or online at http://www.redhat.com.
